ImuFilteringConfigurationRegister Struct Reference
Register Structures

Structure representing the IMU Filtering Configuration register. More...

`#include <sensors.h>`

## Data Fields

uint16_t | magWindowSize
| The MagWindowSize field.
uint16_t | accelWindowSize
| The AccelWindowSize field.
uint16_t | gyroWindowSize
| The GyroWindowSize field.
uint16_t | tempWindowSize
| The TempWindowSize field.
uint16_t | presWindowSize
| The PresWindowSize field.
uint8_t | magFilterMode
| The MagFilterMode field.
uint8_t | accelFilterMode
| The AccelFilterMode field.
uint8_t | gyroFilterMode
| The GyroFilterMode field.
uint8_t | tempFilterMode
| The TempFilterMode field.
uint8_t | presFilterMode
| The PresFilterMode field.

## Detailed Description

Structure representing the IMU Filtering Configuration register.

The documentation for this struct was generated from the following file:

- sensors.h